package com.zd.laboratory.domain;

import com.zd.system.api.laboratory.domain.LabMessageUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 【动态消息通知表】对象 lab_message_dynamic
 *
 * @author zd
 * @date 2022-03-21
 */
@ApiModel("【动态消息通知表】")
public class LabMessageDynamic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 发送范围（1是全校，2是院系，3是个人） */
    @Excel(name = "发送范围", readConverterExp = "1=是全校，2是院系，3是个人")
    @ApiModelProperty(value = "发送范围")
    private Integer sendRange;
    /** 消息类别（1：安全准入审批消息） 4: 分级管控预期消息*/
    @Excel(name = "消息类别", readConverterExp = "消息类别（1：安全准入审批消息）")
    @ApiModelProperty(value = "消息类别")
    private Integer messClass;
    /** 发送内容 */
    @Excel(name = "发送内容")
    @ApiModelProperty(value = "发送内容")
    private String content;
    /** 动态id，主要根据消息类别来区分保存的对应的类别id */
    @Excel(name = "动态id，主要根据消息类别来区分保存的对应的类别id")
    @ApiModelProperty(value = "动态id，主要根据消息类别来区分保存的对应的类别id")
    private Long dynamicId;
    /** 创建人（用于数据权限） */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    @ApiModelProperty(value = "创建人")
    private Long userId;

    private List<LabMessageUser> messageUserList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSendRange(Integer sendRange)
    {
        this.sendRange = sendRange;
    }

    public Integer getSendRange()
    {
        return sendRange;
    }
    public void setMessClass(Integer messClass)
    {
        this.messClass = messClass;
    }

    public Integer getMessClass()
    {
        return messClass;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setDynamicId(Long dynamicId)
    {
        this.dynamicId = dynamicId;
    }

    public Long getDynamicId()
    {
        return dynamicId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public List<LabMessageUser> getMessageUserList() {
        return messageUserList;
    }

    public void setMessageUserList(List<LabMessageUser> messageUserList) {
        this.messageUserList = messageUserList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sendRange", getSendRange())
            .append("messClass", getMessClass())
            .append("content", getContent())
            .append("dynamicId", getDynamicId())
            .append("createTime", getCreateTime())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
